Your browser is not supported, so there may be problems at work. The list of available browsers with minimum version:
Firefox3.0.11
Opera9.51
Safari525.19
AppleWebKit525.19
MSIE6.0
Ignore warning